Skip to main content
Astra Automation
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

修改 hook 源

PUT /accounts/{account_id}/core/v1/hookSources/{hookSource_id}

将整个存储资源替换为提供的 JSON 请求正文,同时保留不可由用户修改的键值。

副作用

  • 更新现有源挂钩将立即影响具有匹配执行挂钩的应用程序的任何未来快照,这些执行挂钩使用更新后的源挂钩资源。

  • MD5 校验和根据"source"字段的值计算,并设置为"sourceMD5Checksum"字段的值。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

hookSource_id

string

path

True

要列出的 hookSource 集合的 ID

请求正文

将整个存储资源替换为提供的 JSON 请求正文,同时保留不可由用户修改的键值。

副作用

  • 更新现有源挂钩将立即影响具有匹配执行挂钩的应用程序的任何未来快照,这些执行挂钩使用更新后的源挂钩资源。

  • MD5 校验和根据"source"字段的值计算,并设置为"sourceMD5Checksum"字段的值。

名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-hookSource"

version

string

True

资源的版本。定义的值为:

  • "1.0"

id

string

False

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

name

string

False

包含用户指定的资源名称的 JSON 字符串。定义的值是:

  • 最小长度:1

  • 最大长度:63 在所有挂钩源资源中,名称必须是唯一的。

专用

string

False

JSON 字符串,指示源字段是在 API 中公开还是有意留空。定义的值为:

  • "true" - 源值是私有的,不会通过 API 公开。

  • "false" - 源值不是私有的,将通过 API 公开。

预加载

string

False

用于指示源是否已预加载的 JSON 字符串。定义的值是:

  • "true" - 源已预加载。

  • "false" - 未预加载源。预加载的挂钩源资源为只读。

sourceType

string

False

定义钩子源类型的 JSON 字符串。定义的值为:

  • "script" - Shell 脚本。明文源不得包含二进制数据或回车字符,否则返回错误。

string

False

包含要以 base64 格式运行的脚本的 JSON 字符串。定义的值为:

  • 最小长度:0

  • 最大长度:131072

  • 符合 base64 编码数据架构,使用 base64 编码时,源值的最大大小为 128 KiB。

sourceMD5Checksum

string

False

包含为"source"键值计算的 MD5 校验和的 JSON 字符串。定义的值为:

  • 定义的正则表达式为:"^([0-9a-fA-F]){32}$"

description

string

False

包含用户指定的钩子源描述的 JSON 字符串。已定义的值为:

  • 最小长度:0

  • 最大长度:511

元数据

"type_astra_metadata_update"

False

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

请求示例
{
  "type": "application/astra-hookSource",
  "version": "1.0",
  "source": "ZWNobyAiVkhKaGJuTWdVbWxuYUhSeklRPT0iIHwgYmFzZTY0IC1k",
  "description": "Pre and post hook script for order processing v2"
}

响应

Status: 204, Indicates if the hookSource resource was updated.

响应

Status: 401, Unauthorized
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidFields

数组["invalidFields"]

False

无效请求正文字段列表

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 409, Conflict
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidFields

数组["invalidFields"]

False

无效请求正文字段列表

响应示例
{
  "type": "https://astra.netapp.io/problems/10",
  "title": "JSON resource conflict",
  "detail": "The request body JSON contains a field that conflicts with an idempotent value.",
  "status": "409"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/1",
  "title": "Resource not found",
  "detail": "The resource specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata_update

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

名称 Type Required Description

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因

invalidFields

名称 Type Required Description

name

string

True

无效请求正文字段的名称

原因

string

True

请求正文字段无效的原因